View Issue Details

IDProjectCategoryLast Update
0022158AI War 2[All Projects] GUIMar 26, 2020 4:15 pm
ReporterDEMOCRACY_DEMOCRACYAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version1.007 The Player/AI Arms Race Intensifies 
Fixed in Version2.012 Populous 
Summary0022158: UI bugs (specifically regarding devourer golem and z.trader) in custom start lobby
DescriptionAs we know, there's the standard tooltip is not updating bug, but there's also a new one that poped up.

 enabling multiple devourer golems do not show each individual devourer golem in the lobby, only one. however, the game will still add in the other devourer golems into the game. same with zenith trader.


minor misinformation regarding starting battlestations, it says you start with lots of turrets, but in game you don't.
TagsNo tags attached.

Relationships

child of 0020151 assignedx4000Bughunter Completely redo lobby (parent). 

Activities

x4000Bughunter

Mar 26, 2020 4:15 pm

administrator   ~0056612

Thanks!

* Fixed a bug that was allowing you to add more than one Zenith Trader or Devourer Golem or other "must only be one" factions.
** This had then led to a variety of other bugs after that, but we're less concerned about those since the core thing can no longer happen.


If there are other bugs that you're referring to that don't have their own ticket and steps for repro, please do lend a hand with creating those tickets so I know about them. Otherwise I'll assume those are fixed or documented elsewhere.

Issue History

Date Modified Username Field Change
Nov 10, 2019 2:15 am DEMOCRACY_DEMOCRACY New Issue
Mar 12, 2020 11:52 am x4000Bughunter Relationship added child of 0021254
Mar 12, 2020 11:53 am x4000Bughunter Assigned To => x4000Bughunter
Mar 12, 2020 11:53 am x4000Bughunter Status new => assigned
Mar 12, 2020 11:55 am x4000Bughunter Relationship added child of 0020151
Mar 12, 2020 11:55 am x4000Bughunter Relationship deleted child of 0021254
Mar 26, 2020 4:15 pm x4000Bughunter Status assigned => resolved
Mar 26, 2020 4:15 pm x4000Bughunter Resolution open => fixed
Mar 26, 2020 4:15 pm x4000Bughunter Fixed in Version => 2.012 Populous
Mar 26, 2020 4:15 pm x4000Bughunter Note Added: 0056612